wxgtk split

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

wxgtk split

Antonio Rojas-2
Hi,
 As you may have noticed, the wxgtk package is now a split package that
build both gtk2 and gtk3 versions. The gtk2 package is a drop-in
replacement for the old wxgtk package, so by default all packages will
keep building against gtk2.

 If you maintain a wx-based package, you may want to try switching to
build against wxgtk3, which offers some additional features (hipdi, smooth
scrolling, touchscreen support).

 To allow coinstallability, the wx-config script has been renamed to wx-
config-gtk3 in the GTK3 package, so in order to build against the gtk3
version the script name needs to be specified at build time (--with-wx-
config=/usr/bin/wx-config-gtk3 for autotools, -
DwxWidgets_CONFIG_EXECUTABLE=/usr/bin/wx-config-gtk3 for cmake)
Reply | Threaded
Open this post in threaded view
|

Re: wxgtk split

Antonio Rojas-2
El Wed, 07 Jun 2017 19:37:44 +0000, Antonio Rojas escribió:

>
>  If you maintain a wx-based package, you may want to try switching to
> build against wxgtk3, which offers some additional features (hipdi,
> smooth scrolling, touchscreen support).

Packages using wx-webview (boinc, moneymanagerex and perhaps some other
via wxpython) should get high priority for porting. Besides gnucash, these
are the only packages left using the insecure webkitgtk.